SessionController Class |
Namespace: Dundas.BI.WebApi.Controllers
The SessionController type exposes the following members.
| Name | Description | |
|---|---|---|
| SessionController |
Initializes a new instance of the SessionController class.
|
| Name | Description | |
|---|---|---|
| DeleteCurrentSession | DELETE /Session/Current
Deletes a session.
| |
| DeleteSessionsById | POST /Session/Delete/
Deletes all sessions passed in by ID.
| |
| DeleteSessionsForAccount | DELETE /Session/Account/{id}
Deletes all sessions associated with the account ID passed in.
| |
| EnsureCallerContext |
If the current context is not already the specified context, creates a new caller context which is
a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.) | |
| EnsureFormFileMultipartContent |
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.) | |
| GetClientIdFromCookieOrProvided |
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.) | |
| GetServiceT |
Gets the requested service.
(Inherited from ApiControllerBase.) | |
| GetSession | POST /Session/GetSession
Gets information about a session.
| |
| GetSessionIdFromCookieHeaderOrProvided |
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.) | |
| IPAddress | PUT /Session/IPAddress/
Sets the IP address which should be associated with the specified session.
| |
| IsValid | POST /Session/IsValid/
Gets a value indicating whether the session with the specified ID is valid.
| |
| KeepAlive | POST /Session/KeepAlive/
Keep the current session, or a specified session, alive.
| |
| LoadSession |
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.) | |
| QueryNumberOfSessions | POST /Session/Count/
Gets the number of sessions that match the filter.
| |
| QuerySessions | POST /Session/Query/
Gets multiple sessions.
| |
| RequestFirstFormFile |
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.) | |
| RequestFormFiles |
Retrieves the form files from the request.
(Inherited from ApiControllerBase.) | |
| ReturnInvalidWindowsIdentityResponse |
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.) | |
| SetCustomAttributes | POST /Session/CustomAttributes/
Sets the custom attributes for the specified session ID.
| |
| SetSessionCulture | PUT /Session/Culture/
Updates the current sessions culture.
|